# Uses of Class
javafx.application.Application

Packages that use Application
Package
Description
javafx.application
Provides the application life-cycle classes.

## Uses of Application in javafx.application

Subclasses of Application in javafx.application
Modifier and Type
Class
Description
`class`
`Preloader`
Class that is extended to define an optional preloader for a JavaFX Application.
Methods in javafx.application that return Application
Modifier and Type
Method
Description
`Application`
Preloader.StateChangeNotification.`getApplication()`
Returns the Application instance associated with this notification.
Method parameters in javafx.application with type arguments of type Application
Modifier and Type
Method
Description
`static void`
Application.`launch(Class<? extends Application> appClass, String... args)`
Launch a standalone application.
Constructors in javafx.application with parameters of type Application
Modifier
Constructor
Description
``
`StateChangeNotification(Preloader.StateChangeNotification.Type notificationType, Application application)`
Constructs an StateChangeNotification of the specified type for the specified application.